#include "../stdafx.h"

#include "../utils/Config.h"
#include "MyDemo.h"
#include "../engine/DemoApp.h"


INT WINAPI WinMain( HINSTANCE instance, HINSTANCE, LPSTR cmdlne, INT show )
{
	CConfig config( "demo.cfg" );

	CMyDemo::init( config );
	CDemoApp app( CMyDemo::getInstance(), config );
	
    if( FAILED( app.Create( instance ) ) )
        return 0;

    return app.Run();
}
